petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMPLEX

"plex" - A DM object that encapsulates an unstructured mesh, or CW Complex, which can be expressed using a Hasse Diagram. In the local representation, Vecs contain all unknowns in the interior and shared boundary. This is specified by a PetscSection object. Ownership in the global representation is determined by ownership of the underlying DMPlex points. This is specified by another PetscSection object.

### Options Database Keys

| -dm_plex_hash_location | - Use grid hashing for point location
| -dm_plex_partition_balance | - Attempt to evenly divide points on partition boundary between processes
| -dm_plex_remesh_bd | - Allow changes to the boundary on remeshing
| -dm_plex_max_projection_height | - Maxmimum mesh point height used to project locally
| -dm_plex_regular_refinement | - Use special nested projection algorithm for regular refinement
| -dm_plex_check_symmetry | - Check that the adjacency information in the mesh is symmetric
| -dm_plex_check_skeleton <celltype> | - Check that each cell has the correct number of vertices
| -dm_plex_check_faces <celltype> | - Check that the faces of each cell give a vertex order this is consistent with what we expect from the cell type
| -dm_plex_check_geometry | - Check that cells have positive volume
| -dm_view :mesh.tex:ascii_latex | - View the mesh in LaTeX/TikZ
| -dm_plex_view_scale <num> | - Scale the TikZ
| -dm_plex_print_fem <num> | - View FEM assembly information, such as element vectors and matrices

### See Also

DMType, DMPlexCreate(), DMCreate(), DMSetType()

### Level

intermediate

### Location

src/dm/impls/plex/plexcreate.c

### Examples

src/dm/impls/plex/examples/tutorials/ex2.c.html
src/dm/impls/plex/examples/tutorials/ex5.c.html
src/dm/impls/forest/examples/tutorials/ex1.c.html
src/dm/field/examples/tutorials/ex1.c.html
src/snes/examples/tutorials/ex12.c.html
src/snes/examples/tutorials/ex56.c.html
src/snes/examples/tutorials/ex62.c.html
src/snes/examples/tutorials/ex77.c.html
src/ts/examples/tutorials/ex11.c.html
src/ts/examples/tutorials/ex48.c.html
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages